Tpf.PersonaStore.dup_for_account – folks-telepathy Reference Manual

# dup_for_account

## Description:

public static PersonaStore dup_for_account (Account account)

Look up a Tpf.PersonaStore by its TelepathyGLib.Account.

If found, a new reference to the persona store will be returned. If not found, a new Tpf.PersonaStore will be created for the account.

See the documentation for Tpf.PersonaStore.list_persona_stores for information on the lifecycle of these stores when a Folks.BackendStore is and is not present.

## Parameters:

account | the Telepathy account of the persona store

## Returns:

the persona store associated with the account

## Since:

0.6.6